## robocode
Class RobocodeFileWriter

    java.lang.Object
      java.io.Writer
          java.io.OutputStreamWriter
              robocode.RobocodeFileWriter

All Implemented Interfaces:
  Closeable, Flushable, Appendable

    public class RobocodeFileWriter

extends OutputStreamWriter

RobocodeFileWriter is similar to a `FileWriter` and is used for writing data out to a file, which you got by calling `getDataFile()`.

You should read `FileWriter` for documentation of this class.

Please notice that the max. size of your data file is set to 200000 (~195 KB).

Author:
  Mathew A. Nelson (original), Flemming N. Larsen (contributor)
See Also:
  `AdvancedRobot.getDataFile(String)`, `FileWriter`

Field Summary

Fields inherited from class java.io.Writer
`lock`

Constructor Summary
`RobocodeFileWriter(File file)` Constructs a new RobocodeFileWriter.
`RobocodeFileWriter(FileDescriptor fd)` Constructs a new RobocodeFileWriter.
`RobocodeFileWriter(String fileName)` Constructs a new RobocodeFileWriter.
`RobocodeFileWriter(String fileName, boolean append)` Constructs a new RobocodeFileWriter.

Method Summary

Methods inherited from class java.io.OutputStreamWriter
`close, flush, getEncoding, write, write, write`

Methods inherited from class java.io.Writer
`append, append, append, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RobocodeFileWriter

    public RobocodeFileWriter(File file)
                       throws IOException

  Constructs a new RobocodeFileWriter. See `FileWriter.FileWriter(File)` for documentation about this constructor.

  Parameters:
    `file` - the file to write to.
  Throws:
    `IOException` - if an I/O exception occurs.
  See Also:
    `FileWriter.FileWriter(File)`

### RobocodeFileWriter

    public RobocodeFileWriter(FileDescriptor fd)

  Constructs a new RobocodeFileWriter. See `FileWriter.FileWriter(FileDescriptor)` for documentation about this constructor.

  Parameters:
    `fd` - the file descriptor of the file to write to.
  See Also:
    `FileWriter.FileWriter(FileDescriptor)`

### RobocodeFileWriter

    public RobocodeFileWriter(String fileName)
                       throws IOException

  Constructs a new RobocodeFileWriter. See `FileWriter.FileWriter(String)` for documentation about this constructor.

  Parameters:
    `fileName` - the filename of the file to write to.
  Throws:
    `IOException` - if an I/O exception occurs.
  See Also:
    `FileWriter.FileWriter(String)`

### RobocodeFileWriter

    public RobocodeFileWriter(String fileName,
                              boolean append)
                       throws IOException

  Constructs a new RobocodeFileWriter. See `FileWriter.FileWriter(String, boolean)` for documentation about this constructor.

  Parameters:
    `fileName` - the filename of the file to write to.
    `append` - set this to true if the output must be appended to the file.
  Throws:
    `IOException` - if an I/O exception occurs.
  See Also:
    `FileWriter.FileWriter(String, boolean)`

Copyright © 2010 Robocode. All Rights Reserved.